com.amazonaws.services.cloudfront

## Class CloudFrontCookieSigner.CookiesForCustomPolicy

- java.lang.Object
- - com.amazonaws.services.cloudfront.CloudFrontCookieSigner.SignedCookies
  - - com.amazonaws.services.cloudfront.CloudFrontCookieSigner.CookiesForCustomPolicy

Enclosing class:
  CloudFrontCookieSigner

    public static class CloudFrontCookieSigner.CookiesForCustomPolicy
    extends CloudFrontCookieSigner.SignedCookies

Contains the cookies used to access restricted content from CloudFront using a custom policy.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.amazonaws.services.cloudfront.CloudFrontCookieSigner.SignedCookies

`CloudFrontCookieSigner.SignedCookies.CookieKeyValuePair`

### Field Summary

Fields
`Map.Entry<String,String>` `policy`

### Fields inherited from class com.amazonaws.services.cloudfront.CloudFrontCookieSigner.SignedCookies

`keyPairId, signature`

### Constructor Summary

Constructors
Constructor and Description
`CookiesForCustomPolicy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map.Entry<String,String>` `getPolicy()`
`void` `setPolicy(String policy)`

### Methods inherited from class com.amazonaws.services.cloudfront.CloudFrontCookieSigner.SignedCookies

`getKeyPairId, getSignature, setKeyPairId, setSignature`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### policy

    public Map.Entry<String,String> policy

### Constructor Detail

#### CookiesForCustomPolicy

    public CookiesForCustomPolicy()

### Method Detail

#### getPolicy

    public Map.Entry<String,String> getPolicy()

#### setPolicy

    public void setPolicy(String policy)